<div class="container">
    <form class="login-form" [formGroup]="loginForm" (ngSubmit)="onSubmit()">
        <input type="text" placeholder="username" formControlName="userName">
        <button type="submit">submit</button>
    </form>
</div>